#ifndef App_h
#define App_h

#include <Application.h>
#include <MessageRunner.h>

#define APP_SIG "application/x-vnd.marmida.NetServerMonitor"
#define NETS_SIG "application/x-vnd.Be-NETS"

#define POLL_NETS_MEMORY 'ap01'

#define POLL_INTERVAL 5000000
#define MB_SIZE 1024 * 1024
#define DEFAULT_RAM_THRESH 80

class App : public BApplication
{
public:
								App(int ram_size_thresh);	
								~App();
								
	void						MessageReceived(BMessage* msg);
	void						CycleNetserver();

private:
	team_id 					fTeam;
	BMessageRunner*				fRunner;
	uint32						fInstances;
	uint32						fThreshMB;
};

#endif
